package com.ruoyi.project.zt.mapper;

import com.ruoyi.framework.aspectj.lang.annotation.DataSource;
import com.ruoyi.framework.aspectj.lang.enums.DataSourceType;
import com.ruoyi.project.zt.domain.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
@DataSource(value = DataSourceType.SLAVE)
public interface DjdcInfoMapper {

    List<DjDcInfo> getList(DjDcInfo info);

    List<Ljinfo> ljListByJh(Ljinfo info);


    List<Djjc> getDjjcList(CommonParam param);

    List<DjZqsjfx> getZqshfxList(CommonParam param);


    DjZqsjfx getJcAndCw(DjZqsjfx djZqsjfx);

    List<DjZjzhfx> getZjzhfxList(CommonParam param);


    DjZjzhfx getJshaJc(String jh, Double ksjs, Double js);


    Djjc getDjinfoByjh(String jh);

    List<Ljjw> getLjjwList(CommonParam param);


    List<DjZtfx> getDjZtfxList(CommonParam param);


    List<Jsha> getFdcsList(CommonParam param);

    List<DjZqsjfx> getZqshfxList2(CommonParam param);


    List<Zsjfx> getZsjList(CommonParam param);


    Zsjrb getZsjrbList(String jh);


    Zsjjz getZsjJz(String jh);


    Djjc selectZtsj(Djjc djjc);

}
